using System;
using System.Reflection;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Security;
using System.Text;
using System.Windows.Forms;
using Outlook = Microsoft.Office.Interop.Outlook;
using Registry = Microsoft.Win32.Registry;

namespace FormulaMailer
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Send()
        {
            try
            {
                Outlook.Application oApp = new Outlook.Application();
                Outlook.NameSpace oNS = oApp.GetNamespace("mapi");
                oNS.Logon(Missing.Value, Missing.Value, true, true);
                Outlook.MailItem oMsg = (Outlook.MailItem)oApp.CreateItem(Outlook.OlItemType.olMailItem);
                oMsg.Subject = mSubject.Text;

                String sHtmlTemplate =
                    "<head>\n" +
                    "  <title>{0}</title>\n" +
                    "</head>\n" +
                    "<body>\n" +
                    "<pre>\n" +
                    "{1}" +
                    "</pre>\n" +
                    "</body>\n" +
                    "</html>\n";
                String sBody = axFmlaxc1.GetMathMLStr();
                sBody = sBody.Replace("&", "&amp;");
                sBody = sBody.Replace(">", "&gt;");
                sBody = sBody.Replace("<", "&lt;");
                sBody = sBody.Replace("\n", "<br/>");
                oMsg.HTMLBody = String.Format(sHtmlTemplate, mSubject.Text, sBody);

                Outlook.Recipients oRecips = (Outlook.Recipients)oMsg.Recipients;
                Outlook.Recipient oRecip = (Outlook.Recipient)oRecips.Add(mTo.Text);
                oRecip.Resolve();

                oMsg.Send();
                oNS.Logoff();

                oRecip = null;
                oRecips = null;
                oMsg = null;
                oNS = null;
                oApp = null;
            }

            catch (Exception ee)
            {
                MessageBox.Show(ee.Message, Text);
            }
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            Send();
        }

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void sendToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Send();
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
    }
}